Alokai
You are reading the documentation for v7.x and earlier, which is no longer the latest version. Switch to v8.x

replaceOrgCartPaymentType

Updates the payment type for the B2B cart in SAP Commerce Cloud. Optionally, it updates purchaseOrderNumber if it's present.

This method exchanges data with the replaceOrgCartPaymentType endpoint exposed by the SAP OCC API B2B Carts Controller.

This method is only for an authenticated customer as it uses vsf-sap-token cookie. In case there is no cookie, it won't work.

Signature

export declare function replaceOrgCartPaymentType(
	context: SapccIntegrationContext,
	props: ReplaceOrgCartPaymentTypeProps
): Promise<Cart>;

Parameters

NameRequiredTypeDescription
contextRequiredSapccIntegrationContext
propsRequiredReplaceOrgCartPaymentTypePropsParameter object which can be used with this method. Refer to its type definition to learn about possible properties.

Returns

Returns a representation of a Cart.

Referenced Types

Examples

Updates the payment type for the B2B cart (make sure you are an authenticated customer). HINT: Fetch available payment types using getPaymentTypes SDK method. Then pass code property of selected Payment Type object from the array.

import { sdk } from '~/sdk';

const cart = await sdk.commerce.replaceOrgCartPaymentType({ cartId: '00035084', paymentType: 'ACCOUNT' });

Updates the payment type for the B2B cart and selecting response fields.

import { sdk } from '~/sdk';

const cart = await sdk.commerce.replaceOrgCartPaymentType({ cartId: '00035084', paymentType: 'ACCOUNT', fields: 'code,guid,user(FULL)' });

Updates the payment type and purchase order number for the B2B cart (make sure you are an authenticated customer).

import { sdk } from '~/sdk';

const cart = await sdk.commerce.replaceOrgCartPaymentType({ cartId: '00035084', paymentType: 'ACCOUNT', purchaseOrderNumber: '567213' });

On this page